@echo off & SETLOCAL & SETLOCAL ENABLEDELAYEDEXPANSION & CLS & echo.

REM :: relative path to absolute path -DRIVE-
set drive=%~d0
set drivep=%drive%
If $#\#$==$#%drive:~-1%#$ set drivep=%drive:~0,-1%
set drivename=%drivep%
REM :: relative path to absolute path -PATH-
set pathn=%~p0
set pathp=%pathn%
If $#\#$==$#%pathn:~-1%#$ set pathp=%pathn:~0,-1%
set pathname=%pathp%
REM :: Combining PATHs
set HOMEDRIVE=%drivename%
set HOMEPATH=%pathname%
set EXEDIR=%HOMEDRIVE%%HOMEPATH%
set DIRCMD=/O:GNE

REM :: Extend PATH for using busybox functions:
set PATH=%EXEDIR%;%PATH%

REM :: =====================================================================
REM :: Check admin-rights, check openssl
REM :: =====================================================================
openfiles >nul 2>&1 || goto norights
openssl version >nul 2>&1 || goto noossl

SET CMDX=%1
for /f "useback tokens=*" %%a in ('%CMDX%') do set CMDX=%%~a

if "X%CMDX%" == "X" goto usage
if not exist "%CMDX%" goto file_err


REM :: Kodieren einer Datei mit base64 durch OpenSSL:
REM :: openssl.exe enc -base64 -in bild.jpg -out bild.jpg.b64
REM :: 
REM :: Dekodieren einer base64-kodierten Datei durch OpenSSL:
REM :: openssl.exe enc -d -base64 -in bild.jpg.b64 -out bild.jpg
REM :: 
REM :: An Standardeingabe und Standardausgabe durch OpenSSL
REM :: kodieren, dekodieren
REM :: echo Hallo | openssl.exe base64
REM :: SGFsbG8K
REM :: echo SGFsbG8K | openssl.exe base64 -d
REM :: Hallo

type "%CMDX%" | find /i /v "-----" | find /i /v ":" | openssl.exe base64 -d > "%CMDX%.crt" && echo."%CMDX%.crt" wurde erstellt ...
goto end

:usage
echo.
echo. Kommandozeile:
echo. %0 "dateiname.pem"
echo.
goto end

:noossl
echo.
echo.FEHLER:
echo. OpenSSL kann nicht gestartet oder gefunden werden ...
echo.
goto end

:file_err
echo.
echo.FEHLER:
echo. Die Datei ...
echo. "%1"
echo. ... existiert nicht ...
echo.
goto end

:norights
echo.
echo.FEHLER:
echo. Sie besitzen KEINE administrativen Rechte.
echo.
goto end

:end
ENDLOCAL
echo.
echo. Vorgang Abgeschlossen ...
echo.
REM :: echo Bitte Taste ...
REM :: pause >nul

 